Skip to main content
GET
Get Workflow Details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string
required

Response

Workflow details retrieved successfully

id
string | null

Unique identifier for the workflow

name
string | null

Name of the workflow

db_id
string | null

Database identifier

description
string | null

Description of the workflow

input_schema
Input Schema · object | null

Input schema for the workflow

steps
Steps · object[] | null

List of workflow steps

agent
AgentResponse · object | null

Agent configuration if used

team
TeamResponse · object | null

Team configuration if used

metadata
Metadata · object | null

Additional metadata

workflow_agent
boolean
default:false

Whether this workflow uses a WorkflowAgent

is_component
boolean
default:false

Whether this workflow was created via Builder

current_version
integer | null

Current published version number

stage
string | null

Stage of the loaded config (draft/published)